//
// LADDER
//

textures/paint/common_ladder
{
	qer_trans .75
	surfaceparm ladder
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

//
// WATER
//

textures/paint/qer_water
{
		qer_editorimage textures/paint/qer_water.jpg
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		cull disable
		deformVertexes wave 64 sin .25 .25 0 .5	
		{ 
			map textures/paint/water.jpg
			blendFunc add
		}
}

//
// PAINT
//

textures/paint/qer_paint
{
		qer_editorimage textures/paint/qer_paint.jpg
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		cull disable
		{ 
			animmap 15 textures/paint/colors_red.jpg textures/paint/colors_green.jpg textures/paint/colors_yellow.jpg textures/paint/colors_blue.jpg textures/paint/colors_cyan.jpg textures/paint/colors_magneta.jpg textures/paint/colors_black.jpg
		}
}

//
// VENT
//

textures/paint/36
{
		qer_editorimage textures/paint/36.tga
		qer_trans .75
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		cull disable
		{ 
			map textures/paint/36.tga
			alphaFunc GE128
		}
}

///
/// LASER
///

textures/paint/gfx_laser
{
	qer_trans .75
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/paint/gfx_laser.jpg
		blendFunc add
	}
}

///
/// GLASS
///

textures/paint/qer_glass
{
	qer_trans .50
	surfaceparm trans
	{
		map textures/paint/environment_map.jpg
		blendFunc add
		tcGen environment
	}
}

///
/// REDMAN TECHNOLOGY
///

textures/paint/66
{
	surfaceparm nomarks
	surfaceparm slick
	{
		map textures/paint/66.jpg
	}
	{
		map textures/paint/66b.jpg
		blendFunc add
		rgbGen wave sawtooth 0 1 0 0.5
	}
}

///
/// FLOOR
///

textures/paintfactory/00
{
	qer_trans .50
	surfaceparm trans
	surfaceparm metalsteps
	surfaceparm nomarks
	{
		map textures/paintfactory/00.tga
		alphaFunc GE128
	}
}

///
/// FAKE MULTICOLOR PAINT BOX SLIDER
///

textures/paintfactory/boxslider_0000
{
	surfaceparm nomarks
	{
		animmap 12 textures/paintfactory/boxslider_0000.jpg textures/paintfactory/boxslider_0001.jpg textures/paintfactory/boxslider_0002.jpg textures/paintfactory/boxslider_0003.jpg textures/paintfactory/boxslider_0004.jpg
	}
}


///////////
/////////// COMPUTERS
/////////// COMPUTERS
/////////// COMPUTERS
///////////

textures/paintfactory/doorcomp_01
{
	surfaceparm nomarks
	surfaceparm slick
	{
		map textures/paintfactory/doorcomp_01.jpg
	}
	{
		map textures/paintfactory/doorcomp_noise.jpg
		blendFunc add
		tcMod scroll 5 5
	}
}

textures/paintfactory/doorcomp_02
{
	surfaceparm nomarks
	surfaceparm slick
	{
		map textures/paintfactory/doorcomp_02.jpg
	}
	{
		map textures/paintfactory/doorcomp_noise.jpg
		blendFunc add
		tcMod scroll 5 5
	}
}

textures/paintfactory/doorcomp_03
{
	surfaceparm nomarks
	surfaceparm slick
	{
		map textures/paintfactory/doorcomp_03.jpg
	}
	{
		map textures/paintfactory/doorcomp_noise.jpg
		blendFunc add
		tcMod scroll 5 5
	}
}

textures/paintfactory/doorcomp_04
{
	surfaceparm nomarks
	surfaceparm slick
	{
		map textures/paintfactory/doorcomp_04.jpg
	}
	{
		map textures/paintfactory/doorcomp_noise.jpg
		blendFunc add
		tcMod scroll 5 5
	}
}

textures/paintfactory/doorcomp_05
{
	surfaceparm nomarks
	surfaceparm slick
	{
		map textures/paintfactory/doorcomp_05.jpg
	}
	{
		map textures/paintfactory/doorcomp_noise.jpg
		blendFunc add
		tcMod scroll 5 5
	}
}

textures/paintfactory/doorcomp_06
{
	surfaceparm nomarks
	surfaceparm slick
	{
		map textures/paintfactory/doorcomp_06.jpg
	}
	{
		map textures/paintfactory/doorcomp_noise.jpg
		blendFunc add
		tcMod scroll 5 5
	}
}

textures/paintfactory/doorcomp_07
{
	surfaceparm nomarks
	surfaceparm slick
	{
		map textures/paintfactory/doorcomp_07.jpg
	}
	{
		map textures/paintfactory/doorcomp_noise.jpg
		blendFunc add
		tcMod scroll 5 5
	}
}

textures/paintfactory/doorcomp_08
{
	surfaceparm nomarks
	surfaceparm slick
	{
		map textures/paintfactory/doorcomp_08.jpg
	}
	{
		map textures/paintfactory/doorcomp_noise.jpg
		blendFunc add
		tcMod scroll 5 5
	}
}

textures/paintfactory/doorcomp_09
{
	surfaceparm nomarks
	surfaceparm slick
	{
		map textures/paintfactory/doorcomp_09.jpg
	}
	{
		map textures/paintfactory/doorcomp_noise.jpg
		blendFunc add
		tcMod scroll 5 5
	}
}

textures/paintfactory/doorcomp_10
{
	surfaceparm nomarks
	surfaceparm slick
	{
		map textures/paintfactory/doorcomp_10.jpg
	}
	{
		map textures/paintfactory/doorcomp_noise.jpg
		blendFunc add
		tcMod scroll 5 5
	}
}

textures/paintfactory/pumpcomp_01
{
	surfaceparm nomarks
	surfaceparm slick
	{
		map textures/paintfactory/pumpcomp_01.jpg
	}
	{
		map textures/paintfactory/doorcomp_noise.jpg
		blendFunc add
		tcMod scroll 5 5
	}
}

textures/paintfactory/pumpcomp_02
{
	surfaceparm nomarks
	surfaceparm slick
	{
		map textures/paintfactory/pumpcomp_02.jpg
	}
	{
		map textures/paintfactory/doorcomp_noise.jpg
		blendFunc add
		tcMod scroll 5 5
	}
}

textures/paintfactory/pumpcomp_03
{
	surfaceparm nomarks
	surfaceparm slick
	{
		map textures/paintfactory/pumpcomp_03.jpg
	}
	{
		map textures/paintfactory/doorcomp_noise.jpg
		blendFunc add
		tcMod scroll 5 5
	}
}

textures/paintfactory/pumpcomp_04
{
	surfaceparm nomarks
	surfaceparm slick
	{
		map textures/paintfactory/pumpcomp_04.jpg
	}
	{
		map textures/paintfactory/doorcomp_noise.jpg
		blendFunc add
		tcMod scroll 5 5
	}
}